<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Employees</title>

    <style>
            input, button, select {
                width: 300px;
                height: 30px;
            }

            .checkbox {
                width: 20px;
                height: 20px;
            }





    </style>
</head>

<body>

<div th:replace="fragments/header :: header"></div>

<div sec:authorize="hasRole('ADMINISTRATOR')">

    <h1>ADMIN PAGE</h1>

    <p>
        <a th:href="@{/employees}">Employees</a>
    </p>

    <p>
        <a th:href="@{/flights}">Flights</a>
    </p>

    <p>
        <a th:href="@{/requests}">Request</a>
    </p>

    <div align="center">

        <div>
            <h3 style="color:red" th:text="${errorMessage}"></h3>
        </div>

        <div>
            <h3 style="color:green" th:text="${message}"></h3>
        </div>

        <h2>Find an employee:</h2>
        <form method="post" th:action="@{/employees}" th:object="${employee}">
            <div>
                <p>
                    <input placeholder="ID" th:name="employeeId" type="text" width="30"/>
                    <input placeholder="Last name" th:name="lastName" type="text" width="30"/>
                    <input placeholder="First name" th:name="firstName" type="text" width="30"/>
                    <select th:name="employeeRole" width="50">
                        <option value="">Position</option>
                        <option th:each="employeeRoleOpt : ${T(com.epam.rd.november2019.model.EmployeeRole).values()}"
                                th:text="${employeeRoleOpt.displayValue}"
                                th:value="${employeeRoleOpt}"></option>
                    </select>
                    <select th:name="sex" width="50">
                        <option value="">Sex</option>
                        <option th:each="sexOpt : ${T(com.epam.rd.november2019.model.Sex).values()}"
                                th:text="${sexOpt.displayValue}" th:value="${sexOpt}"></option>
                    </select>
                    <input placeholder="City" th:name="city" type="text" width="30"/>
                </p>
                <p>
                    <input type="submit" value="Find"/>
                </p>
            </div>
        </form>

        <h2>Add an employee</h2>
        <form action="#" method="post" th:action="@{/employees/add}" th:object="${employee}">
            <p>
                <input placeholder="Last name" required th:name="lastName" type="text" width="30"/>
                <input placeholder="First name" required th:name="firstName" type="text" width="30"/>
                <select required th:name="employeeRole" width="50">
                    <option value="">Position</option>
                    <option th:each="employeeRoleOpt : ${T(com.epam.rd.november2019.model.EmployeeRole).values()}"
                            th:text="${employeeRoleOpt.displayValue}"
                            th:value="${employeeRoleOpt}"></option>
                </select>
                <select required th:name="sex" width="50">
                    <option value="">Sex</option>
                    <option th:each="sexOpt : ${T(com.epam.rd.november2019.model.Sex).values()}"
                            th:text="${sexOpt.displayValue}" th:value="${sexOpt}"></option>
                </select>
                <input placeholder="City" required th:name="city" type="text" width="30"/>
            </p>
            <p>
                <input type="submit" value="Add"/>
            </p>
        </form>
    </div>
    <div align="center">
        <table border="1" cellpadding="5">
            <caption><h2>List of employees</h2></caption>
            <tr>
                <th>ID</th>
                <th>Last name</th>
                <th>First name</th>
                <th>Profession</th>
                <th>Sex</th>
                <th>City</th>
                <th>Edit</th>
                <th>Delete</th>
            </tr>
            <tr th:each="employee : ${employees}">
                <td th:text="${employee.employeeId}"></td>
                <td th:text="${employee.lastName}"></td>
                <td th:text="${employee.firstName}"></td>
                <td th:text="${employee.employeeRole.displayValue}"></td>
                <td th:text="${employee.sex.displayValue}"></td>
                <td th:text="${employee.city}"></td>
                <td><a th:href="@{/editEmployee/{id}(id=${employee.employeeId})}">Edit</a></td>
                <td><a th:href="@{/deleteEmployee/{id}(id=${employee.employeeId})}">Delete</a></td>
            </tr>
        </table>
    </div>

</div>


<div sec:authorize="hasRole('ROLE_DISPATCHER')">

    <h1>DISPATCHER PAGE</h1>

    <p>
        <a th:href="@{/flights}">Flights</a>
    </p>

    <p>
        <a th:href="@{/requests}">Request</a>
    </p>

    <div align="center">

        <p>
            <button><a th:href="@{/flight/{id}/request(id=${flightId})}">Write a request</a></button>
        </p>

        <form action="#" method="post" th:action="@{/findFreeEmployees}" th:object="${employee}">
            <div align="center">
                <select required th:name="employeeRole" width="50">
                    <option value="getAll">Get all</option>
                    <option th:each="employeeRoleOpt : ${T(com.epam.rd.november2019.model.EmployeeRole).values()}"
                            th:text="${employeeRoleOpt.displayValue}"
                            th:value="${employeeRoleOpt}"></option>
                </select>
                <p>
                    <button class="find" th:name="flightId" th:value="${flightId}" type="submit">
                        Find
                    </button>
                </p>
            </div>
        </form>

        <form action="#" method="post" th:action="@{/addIntoFlightTeam}" th:object="${employee}">
            <button th:name="flightId" th:value="${flightId}" type="submit">
                Add employee into team
            </button>

            <table border="1" cellpadding="5">
                <caption><h2 th:text="'Free employees for flight #' + ${flightId}"></h2></caption>
                <tr>
                    <th>ID</th>
                    <th>Last name</th>
                    <th>First name</th>
                    <th>Profession</th>
                    <th>Sex</th>
                    <th>City</th>
                </tr>
                <tr th:each="employee : ${employees}">
                    <td><input class="checkbox" th:name="employeeId" th:text="${employee.employeeId}"
                               th:value="${employee.employeeId}" type="checkbox"/></td>
                    <td th:text="${employee.lastName}"></td>
                    <td th:text="${employee.firstName}"></td>
                    <td th:text="${employee.employeeRole.displayValue}"></td>
                    <td th:text="${employee.sex.displayValue}"></td>
                    <td th:text="${employee.city}"></td>
                </tr>
            </table>
        </form>
    </div>
</div>

<div th:replace="fragments/footer :: footer"></div>

</body>
</html>